/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * CountryLight
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class CountryLight {
  @SerializedName("id")
  private String id = null;

  @SerializedName("label")
  private String label = null;

  public CountryLight id(String id) {
    this.id = id;
    return this;
  }

   /**
   * id of this country (ISO-Code format). Ex: \&quot;fr\&quot;, \&quot;es\&quot;, etc.
   * @return id
  **/
  @ApiModelProperty(value = "id of this country (ISO-Code format). Ex: \"fr\", \"es\", etc.")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public CountryLight label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Label for this country. Ex : \&quot;France\&quot; or \&quot;Spain\&quot; 
   * @return label
  **/
  @ApiModelProperty(value = "Label for this country. Ex : \"France\" or \"Spain\" ")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CountryLight countryLight = (CountryLight) o;
    return Objects.equals(this.id, countryLight.id) &&
        Objects.equals(this.label, countryLight.label);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, label);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CountryLight {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

